Skip to main content
POST
/
v4beta
/
model
Fish Audio Voice Cloning
curl --request POST \
  --url https://api.novita.ai/v4beta/model \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "type": {},
  "title": "<string>",
  "train_mode": {},
  "voices": [
    null
  ],
  "visibility": {},
  "description": {},
  "cover_image": {},
  "texts": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "enhance_audio_quality": true
}
'
import requests

url = "https://api.novita.ai/v4beta/model"

payload = {
"type": {},
"title": "<string>",
"train_mode": {},
"voices": [None],
"visibility": {},
"description": {},
"cover_image": {},
"texts": ["<string>"],
"tags": ["<string>"],
"enhance_audio_quality": True
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
type: {},
title: '<string>',
train_mode: {},
voices: [null],
visibility: {},
description: {},
cover_image: {},
texts: ['<string>'],
tags: ['<string>'],
enhance_audio_quality: true
})
};

fetch('https://api.novita.ai/v4beta/model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_id": "<string>",
  "type": {},
  "title": "<string>",
  "description": "<string>",
  "cover_image": "<string>",
  "state": {},
  "tags": [
    "<string>"
  ],
  "created_at": {},
  "updated_at": {},
  "visibility": {},
  "like_count": 123,
  "mark_count": 123,
  "shared_count": 123,
  "task_count": 123,
  "author": {
    "_id": "<string>",
    "nickname": "<string>",
    "avatar": "<string>"
  },
  "train_mode": {},
  "samples": [
    {
      "title": "<string>",
      "text": "<string>",
      "task_id": "<string>",
      "audio": "<string>"
    }
  ],
  "languages": [
    "<string>"
  ],
  "lock_visibility": true,
  "unliked": true,
  "liked": true,
  "marked": true
}
Fish Audio API for creating a voice model (voice cloning).

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

type
enum<string>
required
Model type, tts is for text to speech.Available options: ttsAllowed value: "tts"
title
string
required
Model title or name.
train_mode
enum<string>
required
Model train mode, for TTS model, fast means model instantly available after creation.Available options: fastAllowed value: "fast"
voices
file[]
required
Upload voices files that will be used to tune the model.
visibility
enum<string>
default:"public"
Model visibility, public will be shown in the discovery page, unlist allows anyone with the link to access, private only be visible to the creator.Available options: public, unlist, private
description
string | null
Model description.
cover_image
file | null
Model cover image, this is required if the model is public.
texts
string[]
Texts corresponding to the voices, if unspecified, ASR will be performed on the voices.
tags
string[]
Model tags.
enhance_audio_quality
boolean
default:false
Enhance audio quality.

Response

_id
string
required
Unique identifier for the created model.
type
enum<string>
required
Model type.Available options: svc, tts
title
string
required
Model title or name.
description
string
required
Model description.
cover_image
string
required
URL of the model cover image.
state
enum<string>
required
Current state of the model.Available options: created, training, trained, failed
tags
string[]
required
Model tags.
created_at
string<date-time>
required
Timestamp when the model was created.
updated_at
string<date-time>
required
Timestamp when the model was last updated.
visibility
enum<string>
required
Model visibility setting.Available options: public, unlist, private
like_count
integer
required
Number of likes the model has received.
mark_count
integer
required
Number of marks/bookmarks the model has received.
shared_count
integer
required
Number of times the model has been shared.
task_count
integer
required
Number of tasks associated with the model.
author
AuthorEntity · object
required
Information about the model author.
train_mode
enum<string>
default:"full"
Training mode used for the model.Available options: fast, full
samples
SampleEntity · object[]
Sample data associated with the model.
languages
string[]
Languages supported by the model.
lock_visibility
boolean
default:false
Whether the visibility setting is locked.
unliked
boolean
default:false
Whether the current user has unliked the model.
liked
boolean
default:false
Whether the current user has liked the model.
marked
boolean
default:false
Whether the current user has marked/bookmarked the model.
Last modified on May 6, 2026